# Motors for Motion Control Applications
---
Choosing the right motor is critical for the efficiency and productivity of the motion control applications. It can be difficult to choose between servo motors and stepper motors as there are so many considerations: cost, torque, efficiency, speed, circuitry and more.

## Differences in Servo Motors and Stepper Motors for Motion Control Applications
---
- The main difference between these motors comes from the overall pole count. Stepper motors have a high pole count, usually between 50 and 100. Servo motors have a low pole count – between 4 and 12.

- This difference in pole count means that stepper motors move incrementally with a consistent pulse in a closed loop system. Servo motors require an encoder to adjust pulses for position control.

## Stepper Motors in Motion Control: Pros and Cons
---

> Pros:

- Stepper motors, due to their high pole count, offer precision drive control for motion control applications. 
  
- They have a high torque at low speeds, and they’re also relatively inexpensive and widely available.

> Cons: 

-  At high-speeds, stepper motors lose nearly all of their torque, sometimes up to 80%.
  
- They produce high vibrations levels and are prone to resonance issues.
  
- Stepper motors also produce high amounts of heat, which can be an issue in certain applications.

## Servo Motors in Motion Control: Pros and Cons
---
> Pros:
- The main benefit of servo motors is they provide high levels of torque at high speed – something stepper motors can’t do. 
  
- They also operate at 80 – 90% efficiency. 
  
- Servo motors can work in AC or DC drive, and do not suffer from vibration or resonance issues.
  
> Cons:

- Servo motors are more expensive than stepper motors. Add in the cost of an encoder, and often a gearbox, and the whole system can become quite costly. 
  
- The need for an encoder and gearbox makes the system more mechanically complex, leading to more frequent maintenance and higher costs.




